﻿using System;
using System.Collections.Generic;

namespace RocketGM.Models
{
    public struct PaymentDTO
    {
        public bool isSubscription;
        public string receipt;
        public bool userInitiated;
        public decimal? price;
        public string currency;
        public string productName;
        public bool isConsumable;
        public string originalTransactionId;

        public PaymentDTO(bool isSubscription, string receipt, bool userInitiated, bool isConsumable,
            decimal? price = null, string currency = null, string productName = null,
            string originalTransactionId = null)
        {
            this.isSubscription = isSubscription;
            this.receipt = receipt;
            this.userInitiated = userInitiated;
            this.price = price;
            this.currency = currency;
            this.productName = productName;
            this.isConsumable = isConsumable;
            this.originalTransactionId = originalTransactionId;
        }
    }
}