using System;
using UnityEngine;

namespace RocketGM.Models.UpdateSession
{
    [Serializable]
    public struct ImpressionData
    {
        [SerializeField] private string g;
        [SerializeField] private string n;
        [SerializeField] private string f;
        [SerializeField] private int c;
        [SerializeField] private double r;
        
        public string AdGroupType
        {
            get { return g; }
            set { g = value; }
        }
        
        public string AdNetwork
        {
            get { return n; }
            set { n = value; }
        }

        public string AdUnitFormat
        {
            get { return f; }
            set { f = value; }
        }

        public int WatchCount
        {
            get { return c; }
            set { c = value; }
        }
        
        public double AdRevenue
        {
            get { return r; }
            set { r = value; }
        }
    }
}
