using System;
using RocketGM.Utils;
using UnityEngine;

namespace RocketGM.Models.UpdateSession
{
    [Serializable]
    public struct SentSessionData
    {
        [SerializeField] private string k;
        [SerializeField] private int d;
        [SerializeField] private string i;
        [SerializeField] private string r;
        [SerializeField] private ulong c;

        public string Key
        {
            get { return k; }
            set { k = value; }
        }

        public int Duration
        {
            get { return d; }
            set { d = value; }
        }

        public string ImpressionData
        {
            get { return i; }
            set { i = value; }
        }

        public string RemotePlayerDataDiff
        {
            get { return r; }
            set { r = value.CompressString(); }
        }

        public ulong RemotePlayerDataCount
        {
            get { return c; }
            set { c = value; }
        }
    }
}
